Bug 183952 - /lib/lsb/init-functions should not use alias
/lib/lsb/init-functions should not use alias
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-lsb (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lawrence Lim
:
Depends On:
Blocks: 218989
  Show dependency treegraph
 
Reported: 2006-03-03 20:13 EST by David Lutterkort
Modified: 2014-03-25 20:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: redhat-lsb-3.1-12.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-10 05:07:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
New file /lib/lsb/init-functions (436 bytes, text/plain)
2006-03-03 20:13 EST, David Lutterkort
no flags Details

  None (edit)
Description David Lutterkort 2006-03-03 20:13:39 EST
Description of problem:
Currently, /lib/lsb/init-functions defines a number of aliases for various
lsb-mandated shell functions. This should not be done through aliases, since
aliases are only expanded when the shell is interactive.

I attach a new /lib/lsb/init-functions that implements these as proper shell
functions, and therefore works from noninteractive shell scipts; just replace
the one in the rpm with this one and everything should be fine

This doesn't just affect FC, but also RHEL
Comment 1 David Lutterkort 2006-03-03 20:13:39 EST
Created attachment 125634 [details]
New file /lib/lsb/init-functions

Note You need to log in before you can comment on or make changes to this bug.